unit AboutDlg;

interface

uses
  PlatformStuff,FMX.Styles,
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Graphics, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.StdCtrls,
  CoreDlg, FMX.ListBox, FMX.Layouts, FMX.Objects, FMX.Memo, FMX.TabControl,
  FMX.ScrollBox, FMX.Controls.Presentation,System.IOUtils, FMX.MultiView,
  FMX.Memo.Types;

type
  TAboutForm = class(TCoreForm)
    TabControl1: TTabControl;
    TabItem1: TTabItem;
    Memo1: TMemo;
    TabItem2: TTabItem;
    Memo2: TMemo;
    Image1: TImage;
    TabItem3: TTabItem;
    Memo3: TMemo;
    TabItem5: TTabItem;
    ListBox1: TListBox;
    ListBoxHeader2: TListBoxHeader;
    Label2: TLabel;
    LItemKassl: TListBoxItem;
    LItemXGate: TListBoxItem;
    LItemOPC: TListBoxItem;
    Style: TTabItem;
    StyleList: TListBox;
    ListBoxHeader3: TListBoxHeader;
    Label1: TLabel;
    ListBoxItem1: TListBoxItem;
    OpenDialog1: TOpenDialog;
    ListBoxItem3: TListBoxItem;
    ListBoxItem2: TListBoxItem;
    TabItem4: TTabItem;
    Memo4: TMemo;
    procedure bPropClick(Sender: TObject);
    procedure LItemKasslClick(Sender: TObject);
    procedure ListBoxItem3Click(Sender: TObject);
    procedure ListBoxItem2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

var
  AboutForm: TAboutForm;

implementation

{$R *.fmx}

procedure TAboutForm.bPropClick(Sender: TObject);
begin
  BackToParentForm;
end;

procedure TAboutForm.FormCreate(Sender: TObject);
begin
  TabControl1.ActiveTab := TabItem2;
  Style.Visible := false;
//  {$IFDEF WIN32}
//    Style.Visible := true;
//  {$ENDIF}
  inherited;
end;

procedure TAboutForm.ListBoxItem2Click(Sender: TObject);
begin
  TStyleManager.SetStyle(nil);
end;

procedure TAboutForm.ListBoxItem3Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    TStyleManager.SetStyle(TStyleStreaming.LoadFromFile(OpenDialog1.FileName));
end;

procedure TAboutForm.LItemKasslClick(Sender: TObject);
begin
  LaunchURL(TListBoxItem(Sender).ItemData.Detail);
end;

end.
